Subject: Re: Some Minor Troubles w/netatalk 1.5pre3

From: Tara Piorkowski <[email-masked]>
Date: Tue, 02 Jan 2001 22:27:14 -0500

on 12/29/00 4:29 PM, andrew morgan at [email-masked] wrote:

> On Fri, 29 Dec 2000, Tara Piorkowski wrote:
> 
>> 2. This is the one that's really bugging me -- it existed in
>> netatalk-1.4b2+asun2.1.4pre39, too. Basically I cannot get anything to come
>> up in the Chooser of my MacOS 8.6 client after the server started. I have
>> left atalkd.conf empty. Upon starting atalkd, the following gets dumped to
>> the logs...
>> 
>> Dec 29 15:53:19 tarasrv atalkd: eth0: multicast may not work correctly.
>> Dec 29 15:53:29 tarasrv atalkd[28812]: ready 0/0/0
>> Dec 29 15:53:29 tarasrv rc.atalk: atalkd startup succeeded
>> Dec 29 15:53:29 tarasrv atalkd[28812]: zip_getnetinfo for eth0
>> Dec 29 15:53:39 tarasrv atalkd[28812]: zip_getnetinfo for eth0
>> Dec 29 15:53:49 tarasrv atalkd[28812]: zip_getnetinfo for eth0
>> Dec 29 15:53:59 tarasrv atalkd[28812]: config for no router
>> 
>> As noted above, I'm using the TLAN driver, as detailed below...
>> 
>> TLAN 1.3c: eth0 irq=15 io=2c20, Compaq Netelligent Integrated 10/100 TX UTP,
>> Rev. 16
>> 
>> Assuming that the problem was related to multicast problems I checked Adrian
>> Sun's README.ASUN, which talks about certain NICs having multicast problems,
>> but didn't see a reference to this device.
>> 
>> Question: Are there known problems between this device and netatalk? Are
>> there workarounds? Am I doing something else wrong?
>> 
>> I appreciate any help any of you can give me as I'd very much like to have
>> this server finished and up and running. Thanks in advance.
> 
> Does it work if you put the interface into promiscuous mode by running
> '/sbin/ifconfig eth0 promisc'?
> 
> Andy
> 

Thanks for your response, Andy. Unfortunately, no, it didn't work for me.
Here's the appropriate log snippets...

Dec  8 00:26:15 tarasrv kernel: device eth0 entered promiscuous mode
Dec  8 00:26:21 tarasrv atalkd[666]: restart (1.5)
Dec  8 00:26:21 tarasrv atalkd: eth0: multicast may not work correctly.
Dec  8 00:26:31 tarasrv atalkd[666]: ready 0/0/0
Dec  8 00:26:31 tarasrv rc.atalk: atalkd startup succeeded
Dec  8 00:26:31 tarasrv atalkd[666]: zip_getnetinfo for eth0
Dec  8 00:26:41 tarasrv atalkd[666]: zip_getnetinfo for eth0
Dec  8 00:26:43 tarasrv rc.atalk: timelord startup succeeded
Dec  8 00:26:43 tarasrv rc.atalk: afpd startup succeeded
Dec  8 00:26:49 tarasrv timelord[677]: tarasrv:TimeLord started
Dec  8 00:26:49 tarasrv afpd[686]: Okte Intranet Server:AFPServer@* started
on 65280.132:130 (1.5)
Dec  8 00:26:49 tarasrv afpd[686]: ASIP started on x.x.x.x:548(1) (1.5)
Dec  8 00:26:49 tarasrv afpd[686]: uam: uams_randnum.so loaded
Dec  8 00:26:49 tarasrv afpd[686]: uam: "2-Way Randnum exchange" available
Dec  8 00:26:49 tarasrv afpd[686]: uam: "Randnum exchange" available
Dec  8 00:26:51 tarasrv atalkd[666]: zip_getnetinfo for eth0
Dec  8 00:27:01 tarasrv atalkd[666]: config for no router

Do you have any other thoughts that might help?

- Tara

-- 
Tara Piorkowski
Network Administrator, vilaj.com

---

From: andrew morgan <[email-masked]>
Date: Tue, 2 Jan 2001 22:28:59 -0800 (PST)

> Do you have any other thoughts that might help?

Hmmm, I don't have any sure-fire ideas, but I have heard that appletalk is
broken in some versions of the kernel.  I haven't experienced this myself
though.  It is probably worth a try upgrading to the latest stable kernel
(2.2.18).  This may also give you an updated driver for your TLAN card.

	Andy